SeExpr

Public Member Functions | Public Attributes | List of all members
BasicExpression::ScalarRef Struct Reference

`#include <BasicExpression.h>`

Inheritance diagram for BasicExpression::ScalarRef:

## Public Member Functions
| ScalarRef ()
void | eval (double *result)
| returns this variable's value by setting result More...
void | eval (const char **result)
Public Member Functions inherited from SeExpr2::ExprVarRef
| ExprVarRef (const ExprType &type)
virtual | ~ExprVarRef ()
virtual void | setType (const ExprType &type)
| sets (current) type to given type More...
virtual ExprType | type () const
| returns (current) type More...

## Public Attributes
double | value

## Detailed Description

Definition at line 32 of file BasicExpression.h.

## Constructor & Destructor Documentation

## ◆ ScalarRef()

BasicExpression::ScalarRef::ScalarRef | ( |  | ) |
| inline

Definition at line 34 of file BasicExpression.h.

## Member Function Documentation

## ◆ eval() [1/2]

void BasicExpression::ScalarRef::eval | ( | const char ** | result | ) |
| inline virtual

Implements SeExpr2::ExprVarRef.

Definition at line 36 of file BasicExpression.h.

## ◆ eval() [2/2]

void BasicExpression::ScalarRef::eval | ( | double * | result | ) |
| inline virtual

returns this variable's value by setting result

Implements SeExpr2::ExprVarRef.

Definition at line 35 of file BasicExpression.h.

References value.

## Member Data Documentation

## ◆ value

double BasicExpression::ScalarRef::value

Definition at line 33 of file BasicExpression.h.

Referenced by eval(), and ExprGrapherView::update().

The documentation for this struct was generated from the following file:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/BasicExpression.h